!--------------------------------------------------------------------
      subroutine trxpl_get_scalar(zname)
 
      implicit NONE
 
      include 'trxpl.blk'
      character*10, intent(inout) :: zname   ! name of scalar
 
      ! get a scalar (named by user); add it to the list.
 
      !---------------------
      logical lxout
      integer lnout
      !---------------------
 
      do
         if(lxout(0)) write(lnout(0),*)
     >      ' %trxpl: enter ".Q" to exit loop.'
 
         call ureadw('trxpl:  enter name of TRANSP/RPLOT scalar:$',
     >      zname)
 
         if(zname.eq.'.Q') exit
 
         call trxpl_add_scalar(zname)
 
      enddo
 
      return
      end
 
